<%= render :partial => "header" %>

<table class="list">
    <tr>
        <th width="40%"><%=table_header @search, "Composer", "Sort by composer", "composers.full_name"%></th>
        <th />
        <th width="60%"><%=table_header @search, "Title", "Sort by title", "works.title"%></th>
        <th ><%=table_header @search, "Cat.", "Sort by category", "instrumentations.code"%></th>
    </tr>
    <%  @page.each_index do |i| 
        work = Work.find @page[i] %>
        <tr <%= "id='current_record'" if work.id == @search.record %>
            onmouseover="document.getElementById('current_record').id = null; this.onmouseover=null;"
            class="<%= cycle('odd', 'even')%>"
            onclick="window.location.href='<%= url_for :action => :show, :id => @search.search_id, :record => @search.records_per_page * (@search.page_number - 1) + i%>'"
            title='View Full Record for this work<%= " mit der ID #{work.id}" if admin?%>'>
            <td>
                <%= render :partial => "/composers/full_name", :locals => {:composer => work.composer}%><%= ", #{work.composer.first_name}" if work.composer.first_name != ""%>

                <% work.composers_works.group_by {|cw| cw.category}.each do |category, composers_works| %>
                    <p><%=category %>
                        <%= composers_works.
                                collect {|cw| cw.composer.full_name}.
                                to_sentence({:connector => " or "}) %>
                    </p>
                <% end %>
            </td>
            <td>
                <%= incipit work %>
                <% if admin? %>
                    <%= image_tag("lost.gif", :border => 0) if work.lost? %>
                    <%= lilypond work %>
                <% end %>
            </td>
            <td>
                <%= work.title%><%=work.identifier%></td>
            <td>
                <% work.instrumentations(@reload_instr).each do |instrumentation| %>
                    <span title="<%=instrumentation.code%>: <%=instrumentation.label %>">
                        <%=instrumentation.code%>
                    </span> <br />
                <% end %>
            </td>
        </tr>
    <% end %>
</table>

<% if @page.size > 9%>
    <div id="search_footer">
        <%= render :partial => "page_size"%>
        <%= render :partial => "pager"%>
    </div>
<% end %>
